Skip to main content
`Ctrl`+`K`

# TSRHSSplitSetRHSFunction

Set the split right-hand-side functions.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitSetRHSFunction(TS ts, const char splitname[], Vec r, TSRHSFunctionFn *rhsfunc, void *ctx)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- splitname - name of this split

- r - vector to hold the residual (or `NULL` to have it created internally)

- rhsfunc - the RHS function evaluation routine

- ctx - user-defined context for private data for the split function evaluation routine (may be `NULL`)

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSRHSFunctionFn`, `IS`, `TSRHSSplitSetIS()`

## Level

intermediate

## Location

src/ts/interface/tsrhssplit.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages